"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fetch_schema_1 = require("./fetch-schema");
async function loadSchema(dependency, config) {
    if (dependency.schema) {
        try {
            return await fetch_schema_1.fetchSchema({ url: dependency.schema }, config.projectFolder);
        }
        catch (_a) { }
    }
    if (dependency.endpoint && dependency.endpoint.url) {
        try {
            return await fetch_schema_1.fetchSchema(dependency.endpoint, config.projectFolder);
        }
        catch (_b) { }
    }
    if (dependency.engineKey) {
        try {
            return await fetch_schema_1.fetchSchemaFromEngine(dependency.engineKey, config.engineEndpoint);
        }
        catch (_c) { }
    }
    return undefined;
}
exports.loadSchema = loadSchema;
//# sourceMappingURL=load-schema.js.map